Subject: Re: [PATCH CFT net-next 1/2] net: axienet: convert to phylink_pcs

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 16 Dec 2021 17:02:16 +0000

On Thu, Dec 16, 2021 at 07:15:13AM -0800, Jakub Kicinski wrote:
> On Thu, 16 Dec 2021 12:48:45 +0000 Russell King (Oracle) wrote:
> > Convert axienet to use the phylink_pcs layer, resulting in it no longer
> > being a legacy driver.
> > 
> > One oddity in this driver is that lp->switch_x_sgmii controls whether
> > we support switching between SGMII and 1000baseX. However, when clear,
> > this also blocks updating the 1000baseX advertisement, which it
> > probably should not be doing. Nevertheless, this behaviour is preserved
> > but a comment is added.
> > 
> > Signed-off-by: Russell King (Oracle) <[email-masked]>
> 
> drivers/net/ethernet/xilinx/xilinx_axienet.h:479: warning: Function parameter or member 'pcs' not described in 'axienet_local'

Fixed that and the sha1 issue you raised in patch 2. Since both are
"documentation" issues, I won't send out replacement patches until
I've heard they've been tested on hardware though.

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel